Show / Hide Table of Contents

# Delegate PluginManager.PluginEnableDelegate

An invoker for the PluginEnabled event.

###### Namespace: IPA.Loader

###### Assembly: IPA.Loader.dll

##### Syntax

    public delegate void PluginEnableDelegate(PluginMetadata plugin, bool needsRestart);

##### Parameters

Type | Name | Description
--- | --- | ---
PluginMetadata | plugin | the plugin that was enabled
Boolean | needsRestart | whether it needs a restart to take effect

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])